import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-07-12 14:50
 */
export interface PpUnicomUserInfo{
    /**
    * 
    * @type { string }
    */
    userId?: string;
    /**
    * 手机号
    * @type { string }
    */
    phone?: string;
    /**
    * 普通车牌号
    * @type { string }
    */
    commonLpn?: string;
    /**
    * 联通积分
    * @type { number }
    */
    score?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class PpUnicomUserInfoMI{ 
    static get USER_ID(): FieldInfo{  
        return new FieldInfo('userId','');
    }
    static get PHONE(): FieldInfo{  
        return new FieldInfo('phone','手机号');
    }
    static get COMMON_LPN(): FieldInfo{  
        return new FieldInfo('commonLpn','普通车牌号');
    }
    static get SCORE(): FieldInfo{  
        return new FieldInfo('score','联通积分');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-07-12 14:50
 */
export interface PpUnicomUserLog{
    /**
    * 
    * @type { string }
    */
    userId?: string;
    /**
    * 抵扣积分
    * @type { number }
    */
    useScore?: number;
    /**
    * 积分抵扣时间
    * @type { Date }
    */
    useTime?: Date;
    /**
    * ID（用户ID_日志ID）
    * @type { string }
    */
    id?: string;
    /**
    * 手机号
    * @type { string }
    */
    phone?: string;
    /**
    * 全局业务编码
    * @type { string }
    */
    sn?: string;
    /**
    * 积分抵扣状态：00 成功；10 超时； 01超时后成功；02 超时后失败
    * @type { string }
    */
    consumeState?: string;
}
export class PpUnicomUserLogMI{ 
    static get USER_ID(): FieldInfo{  
        return new FieldInfo('userId','');
    }
    static get USE_SCORE(): FieldInfo{  
        return new FieldInfo('useScore','抵扣积分');
    }
    static get USE_TIME(): FieldInfo{  
        return new FieldInfo('useTime','积分抵扣时间');
    }
    static get ID(): FieldInfo{  
        return new FieldInfo('id','ID（用户ID_日志ID）');
    }
    static get PHONE(): FieldInfo{  
        return new FieldInfo('phone','手机号');
    }
    static get SN(): FieldInfo{  
        return new FieldInfo('sn','全局业务编码');
    }
    static get CONSUME_STATE(): FieldInfo{  
        return new FieldInfo('consumeState','积分抵扣状态：00 成功；10 超时； 01超时后成功；02 超时后失败');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-07-12 14:50
 */
export interface PpUserV3{
    /**
    * 唯一标识
    * @type { string }
    */
    id?: string;
    /**
    * 用户昵称
    * @type { string }
    */
    nickName?: string;
    /**
    * 用户头像
    * @type { string }
    */
    avatar?: string;
    /**
    * 联系电话
    * @type { string }
    */
    phone?: string;
    /**
    * 邮箱
    * @type { string }
    */
    email?: string;
    /**
    * 性别
    * @type { string }
    */
    gender?: string;
    /**
    * 普通车牌号
    * @type { string }
    */
    commonLpn?: string;
    /**
    * 绑定车牌号
    * @type { string }
    */
    bindedLpn?: string;
    /**
    * 省份ID
    * @type { string }
    */
    provId?: string;
    /**
    * 城市ID
    * @type { string }
    */
    cityId?: string;
    /**
    * 区县ID
    * @type { string }
    */
    districtId?: string;
    /**
    * 备用字段1
    * @type { string }
    */
    spareField1?: string;
    /**
    * 备用字段2
    * @type { string }
    */
    spareField2?: string;
    /**
    * 备用字段3
    * @type { string }
    */
    spareField3?: string;
    /**
    * 备用字段4
    * @type { string }
    */
    spareField4?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 
    * @type { Date }
    */
    updateTime?: Date;
}
export class PpUserV3MI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','唯一标识');
    }
    static get NICK_NAME(): FieldInfo{  
        return new FieldInfo('nickName','用户昵称');
    }
    static get AVATAR(): FieldInfo{  
        return new FieldInfo('avatar','用户头像');
    }
    static get PHONE(): FieldInfo{  
        return new FieldInfo('phone','联系电话');
    }
    static get EMAIL(): FieldInfo{  
        return new FieldInfo('email','邮箱');
    }
    static get GENDER(): FieldInfo{  
        return new FieldInfo('gender','性别');
    }
    static get COMMON_LPN(): FieldInfo{  
        return new FieldInfo('commonLpn','普通车牌号');
    }
    static get BINDED_LPN(): FieldInfo{  
        return new FieldInfo('bindedLpn','绑定车牌号');
    }
    static get PROV_ID(): FieldInfo{  
        return new FieldInfo('provId','省份ID');
    }
    static get CITY_ID(): FieldInfo{  
        return new FieldInfo('cityId','城市ID');
    }
    static get DISTRICT_ID(): FieldInfo{  
        return new FieldInfo('districtId','区县ID');
    }
    static get SPARE_FIELD_1(): FieldInfo{  
        return new FieldInfo('spareField1','备用字段1');
    }
    static get SPARE_FIELD_2(): FieldInfo{  
        return new FieldInfo('spareField2','备用字段2');
    }
    static get SPARE_FIELD_3(): FieldInfo{  
        return new FieldInfo('spareField3','备用字段3');
    }
    static get SPARE_FIELD_4(): FieldInfo{  
        return new FieldInfo('spareField4','备用字段4');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','备注');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-07-12 14:50
 */
export interface PpUserLocalAuth{
    /**
    * 
    * @type { string }
    */
    accountId?: string;
    /**
    * 
    * @type { string }
    */
    ppUserId?: string;
    /**
    * 
    * @type { string }
    */
    userName?: string;
    /**
    * 
    * @type { string }
    */
    password?: string;
    /**
    * 
    * @type { string }
    */
    phone?: string;
    /**
    * 
    * @type { Date }
    */
    creatTime?: Date;
    /**
    * 
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 子表 PpUserV3 
    * @type { PpUserV3[] }
    */
    ppUserV3?:PpUserV3[];

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class PpUserLocalAuthMI{ 
    static get ACCOUNT_ID(): FieldInfo{  
        return new FieldInfo('accountId','');
    }
    static get PP_USER_ID(): FieldInfo{  
        return new FieldInfo('ppUserId','');
    }
    static get USER_NAME(): FieldInfo{  
        return new FieldInfo('userName','');
    }
    static get PASSWORD(): FieldInfo{  
        return new FieldInfo('password','');
    }
    static get PHONE(): FieldInfo{  
        return new FieldInfo('phone','');
    }
    static get CREAT_TIME(): FieldInfo{  
        return new FieldInfo('creatTime','');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-07-12 14:50
 */
export interface PpUserLocalAuthUnionPpUserV3{
    /**
    * userId
    * @type { string }
    */
    userid?: string;
    /**
    * phone
    * @type { string }
    */
    phone?: string;
    /**
    * commonLpn
    * @type { string }
    */
    commonlpn?: string;
    /**
    * createTime
    * @type { Date }
    */
    createtime?: Date;
}
export class PpUserLocalAuthUnionPpUserV3MI{ 
    static get USERID(): FieldInfo{  
        return new FieldInfo('userid','userId');
    }
    static get PHONE(): FieldInfo{  
        return new FieldInfo('phone','phone');
    }
    static get COMMONLPN(): FieldInfo{  
        return new FieldInfo('commonlpn','commonLpn');
    }
    static get CREATETIME(): FieldInfo{  
        return new FieldInfo('createtime','createTime');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-07-12 14:50
 */
export interface PpUnicomWhiteLot{
    /**
    * 车场ID
    * @type { string }
    */
    lotId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
}
export class PpUnicomWhiteLotMI{ 
    static get LOT_ID(): FieldInfo{  
        return new FieldInfo('lotId','车场ID');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
}


